import request from '@/utils/request'

// 查询微信模板信息列表
export function listTemplate(query) {
    return request({
        url: '/manage/template/list',
        method: 'get',
        params: query
    })
}

// 查询微信模板信息详细
export function getTemplate(id) {
    return request({
        url: '/manage/template/' + id,
        method: 'get'
    })
}

// 新增微信模板信息
export function addTemplate(data) {
    return request({
        url: '/manage/template/add',
        method: 'post',
        data: data
    })
}

// 修改微信模板信息
export function updateTemplate(data) {
    return request({
        url: '/manage/template/edit',
        method: 'put',
        data: data
    })
}

// 删除微信模板信息
export function delTemplate(id) {
    return request({
        url: '/manage/template/remove/' + id,
        method: 'delete'
    })
}
// 左侧微信列表
export function listWechatTemplateNum(query) {
    return request({
        url: '/system/department/listWechatTemplateNum',
        method: 'get',
        params: query
    })
}
// 适用任务类型

export function typelist(dictType) {
    return request({
        url: '/system/dict/data/type/'+dictType,
        method: 'get',
    })
}
